package pay.platform.api.system.model.query;

import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import pay.platform.core.common.domain.BasePageQuery;

/**
 * 通道管理 实体类。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "通道管理")
@Table(value = "t_pay_channel")
public class PayChannelQuery extends BasePageQuery {


    /**
     * 名称
     */
    @Schema(description = "名称")
    private String name;

    /**
     * 编码
     */
    @Schema(description = "编码")
    private String code;

    /**
     * 状态
     */
    @Schema(description = "状态 ")
    private Integer status;

}
