package pay.platform.api.system.model.query;

import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import pay.platform.core.common.domain.BasePageQuery;

/**
 * 商户管理 实体类。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "商户管理")
@Table(value = "t_pay_merchant")
public class PayMerchantQuery extends BasePageQuery {

    /**
     * 用户名
     */
    @Schema(description = "用户名")
    private String userName;


    /**
     * 状态
     */
    @Schema(description = "状态 ")
    private Integer status;

}
