package pay.platform.api.system.servcie;


import com.mybatisflex.core.service.IService;
import jakarta.annotation.Nonnull;
import pay.platform.api.system.model.query.PayAgentQuery;
import pay.platform.api.system.model.vo.PayAgentVO;
import pay.platform.core.common.Result;
import pay.platform.core.common.domain.BasePage;
import pay.platform.domain.PayAgent;

/**
 * 代理系统 服务层。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
public interface PayAgentService extends IService<PayAgent> {

    Result<String> saveAgent(PayAgent payAgent);

    BasePage<PayAgentVO> queryPage(PayAgentQuery query);


    /**
     * 重置密码
     *
     * @param username .
     * @param passwd   .
     * @return .
     */

    public Result<String> resetPassword(@Nonnull String username, @Nonnull String passwd);


    Boolean updateInfo(PayAgent payAgent);
}