package pay.platform.api.system.model.query;

import io.swagger.v3.oas.annotations.Parameter;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import pay.platform.core.common.domain.BasePageQuery;

/**
 *
 **/
@Data
@EqualsAndHashCode(callSuper = true)
@ToString
public class PayAgentQuery extends BasePageQuery {

    /**
     * 用户名
     */
    @Parameter(description = "用户名")
    private String userName;

    /**
     * 状态
     */
    @Parameter(description = "状态 ")
    private Integer status;
}
