package pay.platform.api.system.model.request;

import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 平台配置 实体类。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "平台配置")
@Table(value = "t_pay_platform_setting")
public class PayPlatformSettingRequest {

    /**
     * id
     */
    @Schema(description = "id")
    private Long id;

    /**
     * 服务商ID
     */
    @Schema(description = "服务商ID")
    private Long pId;

    /**
     * 密钥
     */
    @Schema(description = "密钥")
    private String privateKey;

    /**
     * 公钥
     */
    @Schema(description = "公钥")
    private String publicKey;

    /**
     * 状态
     */
    @Schema(description = "状态 ")
    private Integer status;

}
