package pay.platform.api.system.model.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 通道管理 实体类。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class HomeVO {

    private TotalVO today;
    private TotalVO yesterday;
    private TotalVO lastWeek;
    private TotalVO lastMonth;

    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    @Builder
    public static class TotalVO {

        private QuantityVO quantity;
        private AmountVO amount;
        private EarningsVO earnings;
    }
}
