package pay.platform.api.system.model.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.io.Serializable;

/**
 * 枚举
 */
@Data
@EqualsAndHashCode
@ToString
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SelectOptionVO implements Serializable {
    /**
     * 名称
     */
    @Schema(description = "名称")
    private String name;
    /**
     * 值
     */
    @Schema(description = "值")
    private String value;
}
